{{sidenavigation.sidenavigationExpandLabel}}
{{getMsg('Help_YouAreHere')}}: /  {{page.title}} {{page.title}}
{{$root.getMsg("downLoadHelpAsPdf")}} {{helpModel.downloadHelpPdfDataStatus}}

Events

/api/calendar/{calendarId}/events/{eventId}/deleteOccurrence

Exposes stored calendar events and stages event changes until commit.

DELETE /api/calendar/{calendarId}/events/{eventId}/deleteOccurrence

Deletes one occurrence by adding its previous start to the series exclusion dates.

Parameters

Name Location Type Required Description
calendarId path string yes —
eventId path string yes current internal event identifier
occurrenceStart query number (int64) yes previous occurrence start as Unix epoch milliseconds

Response

Status Content Type Schema Description
204 — — No content.

Example Request

# Request
DELETE /api/calendar/<calendarId>/events/<eventId>/deleteOccurrence?occurrenceStart=0 HTTP/1.1
Accept: application/json
Authorization: Bearer <access-token>

# Response
HTTP/1.1 204 No Content

Common Error Responses

The status codes 400, 403, 404, 405, 406, 409, 413, 415, and 500 use the same ApiError JSON error format:

{
    "status": 404,
    "code": "route_not_found",
    "message": "The requested API route does not exist.",
    "details": []
}

Schemas

Request and response schemas used on this page.

ApiError

Property Type Required Description
status integer (int32) yes —
code string yes —
message string yes —
details array<object> no —
i-net PDFC
This application uses cookies to allow login. By continuing to use this application, you agree to the use of cookies.


Help